Users
Invite Team User
Invites a team admin or member by email.
Track pending invitations with GET /api/v1/users?status=pending.
POST
https://api.folkyn.com
/
api
/
v1
/
users
/
invitations
Invite Team User
curl --request POST \
--url https://api.folkyn.com/api/v1/users/invitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "admin@example.com",
"first_name": "Alex",
"last_name": "Martin",
"role": "team-admin",
"job_title": "HR Manager",
"invite_locale": "fr"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'admin@example.com',
first_name: 'Alex',
last_name: 'Martin',
role: 'team-admin',
job_title: 'HR Manager',
invite_locale: 'fr'
})
};
fetch('https://api.folkyn.com/api/v1/users/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.folkyn.com/api/v1/users/invitations"
payload = {
"email": "admin@example.com",
"first_name": "Alex",
"last_name": "Martin",
"role": "team-admin",
"job_title": "HR Manager",
"invite_locale": "fr"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.folkyn.com/api/v1/users/invitations"
payload := strings.NewReader("{\n \"email\": \"admin@example.com\",\n \"first_name\": \"Alex\",\n \"last_name\": \"Martin\",\n \"role\": \"team-admin\",\n \"job_title\": \"HR Manager\",\n \"invite_locale\": \"fr\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"invitation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"status": "pending",
"email_sent": true,
"resent": true
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}Authorizations
bearerAuthApiKeyHeader
Use Authorization: Bearer <your_api_key>
Body
application/json
Available options:
team-admin, team-member Organizational team UUID on the invitation. At most one team per person.
Maximum array length:
1Team member profile UUID shown as email sender; defaults to first active team-admin.
Available options:
fr, en Response
Invitation created
Show child attributes
Show child attributes
⌘I
Invite Team User
curl --request POST \
--url https://api.folkyn.com/api/v1/users/invitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "admin@example.com",
"first_name": "Alex",
"last_name": "Martin",
"role": "team-admin",
"job_title": "HR Manager",
"invite_locale": "fr"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'admin@example.com',
first_name: 'Alex',
last_name: 'Martin',
role: 'team-admin',
job_title: 'HR Manager',
invite_locale: 'fr'
})
};
fetch('https://api.folkyn.com/api/v1/users/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.folkyn.com/api/v1/users/invitations"
payload = {
"email": "admin@example.com",
"first_name": "Alex",
"last_name": "Martin",
"role": "team-admin",
"job_title": "HR Manager",
"invite_locale": "fr"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.folkyn.com/api/v1/users/invitations"
payload := strings.NewReader("{\n \"email\": \"admin@example.com\",\n \"first_name\": \"Alex\",\n \"last_name\": \"Martin\",\n \"role\": \"team-admin\",\n \"job_title\": \"HR Manager\",\n \"invite_locale\": \"fr\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"invitation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"status": "pending",
"email_sent": true,
"resent": true
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}